달력

12

« 2020/12 »

  •  
  •  
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • 10
  • 11
  • 12
  • 13
  • 14
  • 15
  • 16
  • 17
  • 18
  • 19
  • 20
  • 21
  • 22
  • 23
  • 24
  • 25
  • 26
  • 27
  • 28
  • 29
  • 30
  • 31
  •  
  •  
반응형



 

 

 

AndroidStudio Update - to 3.1.4

http://codedragon.tistory.com/7772

 

 

 

에러메시지

안드로이드스튜디오 업데이트 아래와 같은 에러메시지가 발생할 있습니다.

 

Unsupported method: BaseConfig.getApplicationIdSuffix().

Unsupported method: BaseConfig.getApplicationIdSuffix().

The version of Gradle you connect to does not support that method.

To resolve the problem you can change/upgrade the target version of Gradle you connect to.

Alternatively, you can ignore this exception and read other information from the model.


 

 

 

 

해결방법 (Step by Step)

·         현재 설치 버전 확인

·         build.gradle(Project: ProjectName) 수정

·         Gradle version 확인하기

·         gradle-wrapper.properties 파일 수정

 

 

 

 

현재 설치 버전 확인

현재 설치한 버전이 3.1.4 입니다.


 

 

 

 

build.gradle(Project: ProjectName) 수정

Project 단위에 build.gradle 파일의 gradle 정보를 변경합니다.

buildscript{

repositories{

jcenter()

}

dependencies{

classpath'com.android.tools.build:gradle:1.3.0'

 

//NOTE:Donotplaceyourapplicationdependencieshere;theybelong

//intheindividualmodulebuild.gradlefiles

}

}

buildscript{

repositories{

jcenter()

}

dependencies{

classpath'com.android.tools.build:gradle:3.1.4'

 

//NOTE:Donotplaceyourapplicationdependencieshere;theybelong

//intheindividualmodulebuild.gradlefiles

}

}

 

 

 

 

Gradle version 확인하기

https://developer.android.com/studio/releases/gradle-plugin

현재 설치한 버전이 3.1.4이므로 요구되는 Gradle version 4.4+ 이상을 설치해야 합니다.

Plugin version

Required Gradle version

1.0.0 - 1.1.3

2.2.1 - 2.3

1.2.0 - 1.3.1

2.2.1 - 2.9

1.5.0

2.2.1 - 2.13

2.0.0 - 2.1.2

2.10 - 2.13

2.1.3 - 2.2.3

2.14.1+

2.3.0+

3.3+

3.0.0+

4.1+

3.1.0+

4.4+

 

요구되는 Gradle version 아래와 같이 설정하면됩니다.

...

distributionUrl = https\://services.gradle.org/distributions/gradle-4.4-all.zip

...

 

Could not find com.android.tools.build:gradle:3.1.4.

Searched in the following locations:

    https://jcenter.bintray.com/com/android/tools/build/gradle/3.1.4/gradle-3.1.4.pom

    https://jcenter.bintray.com/com/android/tools/build/gradle/3.1.4/gradle-3.1.4.jar

Required by:

    :HelloWorldApp:unspecified

Add Google Maven repository and sync project

Open File

Enable embedded Maven repository and sync project


 

 

 

 

 

 

gradle-wrapper.properties 파일 수정

gradle-wrapper.properties

 

#SatNov0719:19:20KST2015

distributionBase=GRADLE_USER_HOME

distributionPath=wrapper/dists

zipStoreBase=GRADLE_USER_HOME

zipStorePath=wrapper/dists

distributionUrl=https\://services.gradle.org/distributions/gradle-2.4-all.zip

#SatNov0719:19:20KST2015

distributionBase=GRADLE_USER_HOME

distributionPath=wrapper/dists

zipStoreBase=GRADLE_USER_HOME

zipStorePath=wrapper/dists

distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.zip

 


 


반응형
Posted by codedragon codedragon

댓글을 달아 주세요